View Issue Details

IDProjectCategoryView StatusLast Update
0001450Сервисный центр[All Projects] Generalpublic2018-10-10 11:13
ReporterruslanAssigned Tobarry 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionreopened 
PlatformКСАП ГранитOSWindowsOS VersionXP Prof
Summary0001450: -СЦ-закладка Ремонт/Закладка СЦ-Карточки-Деталь Прием/Выдача- Попытка открыть ремонт на редактирование - ошибка
DescriptionПроизошла ошибка:
IBSQL Open
-----
SELECT R.PODRID, R.ORGPRSN, R.ORGADDR, R.DGVKEY, DD.ID DGVID, DD.TYP DGVTYP, R.DTKTID,
R.STORID, R.NBR, R.DAT_N, R.DAT_K, R.COMMENT, R.DATE_INP, R.DATE_OUT, R.CARDTID, T.ID CARDT_ID, T.ORGNID,
R.NEPOL,R.PROC_GOODS, R.PROC_JOB, R.SUM_GOODS, R.SUM_JOB, R.SUMMA, R.TOTAL, R.InfoSrcID,
R.SmsPhone, R.RemoTypeID, R.Proc_Comment
FROM SC_REMO R
LEFT JOIN SC_CARDT T ON T.ID=R.CARDTID
LEFT JOIN DGVDT DD ON DD.ID=R.DGVKEY
WHERE R.ID=104
select P.ID, P.BLOBVAL
from SC_REMO_TYPE_PARAMS P
where P.REMOTYPEID=:RTID and P.OrgnID=:ORGNID and P.USERID=:USERID


Сервисный центр
Application.MainForm: FormSCen(TFormSCen) XE2 Сервисный центр: Test (ГОЛОВКО ЧП) [Администратор Системы]
ActiveForm: FormSCen(TFormSCen) XE2 Сервисный центр: Test (ГОЛОВКО ЧП) [Администратор Системы]
ActiveCustomForm: FormSCen(TFormSCen) XE2 Сервисный центр: Test (ГОЛОВКО ЧП) [Администратор Системы]
TagsNo tags attached.

Activities

ruslan

2018-07-25 17:09

manager   ~0003885

Не открывается ремонт, у которого выбран Тип ремонта.

barry

2018-09-17 14:07

administrator   ~0003891

scen32.zip

ruslan

2018-10-09 11:52

manager   ~0003903

При открытии документа с типом ремонта у которого не настроены Параметры по умолчанию, слетает поле Склад, Скидка и т.д. Параметры по ремонту должны применяться при сохранении, при открытии они должны выбираться из базы данных по ремонту.

barry

2018-10-10 11:13

administrator   ~0003905

scen32.zip

Issue History

Date Modified Username Field Change
2018-07-03 15:35 ruslan New Issue
2018-07-25 17:09 ruslan Note Added: 0003885
2018-09-17 14:07 barry Assigned To => barry
2018-09-17 14:07 barry Status new => resolved
2018-09-17 14:07 barry Resolution open => fixed
2018-09-17 14:07 barry Note Added: 0003891
2018-10-09 11:52 ruslan Status resolved => feedback
2018-10-09 11:52 ruslan Resolution fixed => reopened
2018-10-09 11:52 ruslan Note Added: 0003903
2018-10-10 11:13 barry Note Added: 0003905
2018-10-10 11:13 barry Status feedback => resolved